if (defined &_KERNEL) {
    if (defined &_LOCORE) {
	require 'machine/psl.ph';
    }
    else {
	require 'machine/cpu.ph';
    }
}
unless(defined(&_MACHINE)) {
sub _MACHINE () { &i386;}
}
unless(defined(&MACHINE)) {
sub MACHINE () {"i386";}
}
unless(defined(&_MACHINE_ARCH)) {
sub _MACHINE_ARCH () { &i386;}
}
unless(defined(&MACHINE_ARCH)) {
sub MACHINE_ARCH () {"i386";}
}
unless(defined(&MID_MACHINE)) {
sub MID_MACHINE () { &MID_I386;}
}
unless(defined(&ALIGNBYTES)) {
sub ALIGNBYTES () {($sizeof{'int'} - 1);}
}
unless(defined(&ALIGN)) {
sub ALIGN {
    local($p) = @_;
    eval "((($p) +  &ALIGNBYTES) ~  &ALIGNBYTES)";
}
}
unless(defined(&PGSHIFT)) {
sub PGSHIFT () {12;}
}
unless(defined(&NBPG)) {
sub NBPG () {(1<<  &PGSHIFT);}
}
unless(defined(&PGOFSET)) {
sub PGOFSET () {( &NBPG-1);}
}
unless(defined(&NPTEPG)) {
sub NPTEPG () {( &NBPG/($sizeof{ &pt_entry_t}));}
}
unless(defined(&KERNBASE)) {
sub KERNBASE () {0xf0000000;}
}
if (0) {
    eval 'sub KERNSIZE () {0x01800000;}' unless defined(&KERNSIZE);
}
unless(defined(&KERNTEXTOFF)) {
sub KERNTEXTOFF () {0xf0100000;}
}
unless(defined(&BTOPKERNBASE)) {
sub BTOPKERNBASE () {( &KERNBASE >>  &PGSHIFT);}
}
unless(defined(&DEV_BSHIFT)) {
sub DEV_BSHIFT () {9;}
}
unless(defined(&DEV_BSIZE)) {
sub DEV_BSIZE () {(1<<  &DEV_BSHIFT);}
}
unless(defined(&BLKDEV_IOSIZE)) {
sub BLKDEV_IOSIZE () {2048;}
}
unless(defined(&MAXPHYS)) {
sub MAXPHYS () {(64* 1024);}
}
unless(defined(&CLSIZELOG2)) {
sub CLSIZELOG2 () {0;}
}
unless(defined(&CLSIZE)) {
sub CLSIZE () {(1<<  &CLSIZELOG2);}
}
unless(defined(&SSIZE)) {
sub SSIZE () {1;}
}
unless(defined(&SINCR)) {
sub SINCR () {1;}
}
unless(defined(&UPAGES)) {
sub UPAGES () {2;}
}
unless(defined(&USPACE)) {
sub USPACE () {( &UPAGES *  &NBPG);}
}
unless(defined(&MSIZE)) {
sub MSIZE () {128;}
}
unless(defined(&MCLSHIFT)) {
sub MCLSHIFT () {11;}
}
unless(defined(&MCLBYTES)) {
sub MCLBYTES () {(1<<  &MCLSHIFT);}
}
unless(defined(&MCLOFSET)) {
sub MCLOFSET () {( &MCLBYTES - 1);}
}
if (!defined &NMBCLUSTERS) {
    if (defined &GATEWAY) {
	eval 'sub NMBCLUSTERS () {1024;}' unless defined(&NMBCLUSTERS);
    }
    else {
	eval 'sub NMBCLUSTERS () {512;}' unless defined(&NMBCLUSTERS);
    }
}
if (!defined &NKMEMCLUSTERS) {
    eval 'sub NKMEMCLUSTERS () {(8* 1024* 1024/  &CLBYTES);}' unless defined(&NKMEMCLUSTERS);
}
unless(defined(&ctod)) {
sub ctod {
    local($x) = @_;
    eval "(($x) << ( &PGSHIFT -  &DEV_BSHIFT))";
}
}
unless(defined(&dtoc)) {
sub dtoc {
    local($x) = @_;
    eval "(($x) >> ( &PGSHIFT -  &DEV_BSHIFT))";
}
}
unless(defined(&ctob)) {
sub ctob {
    local($x) = @_;
    eval "(($x) <<  &PGSHIFT)";
}
}
unless(defined(&btoc)) {
sub btoc {
    local($x) = @_;
    eval "((($x) +  &PGOFSET) >>  &PGSHIFT)";
}
}
unless(defined(&dbtob)) {
sub dbtob {
    local($x) = @_;
    eval "(($x) <<  &DEV_BSHIFT)";
}
}
unless(defined(&btodb)) {
sub btodb {
    local($x) = @_;
    eval "(($x) >>  &DEV_BSHIFT)";
}
}
unless(defined(&bdbtofsb)) {
sub bdbtofsb {
    local($bn) = @_;
    eval "(($bn) / ( &BLKDEV_IOSIZE /  &DEV_BSIZE))";
}
}
unless(defined(&i386_round_pdr)) {
sub i386_round_pdr {
    local($x) = @_;
    eval "(((($x)) +  &PDOFSET)  ~ &PDOFSET)";
}
}
unless(defined(&i386_trunc_pdr)) {
sub i386_trunc_pdr {
    local($x) = @_;
    eval "(($x)  ~ &PDOFSET)";
}
}
unless(defined(&i386_btod)) {
sub i386_btod {
    local($x) = @_;
    eval "(($x) >>  &PDSHIFT)";
}
}
unless(defined(&i386_dtob)) {
sub i386_dtob {
    local($x) = @_;
    eval "(($x) <<  &PDSHIFT)";
}
}
unless(defined(&i386_round_page)) {
sub i386_round_page {
    local($x) = @_;
    eval "(((($x)) +  &PGOFSET)  ~ &PGOFSET)";
}
}
unless(defined(&i386_trunc_page)) {
sub i386_trunc_page {
    local($x) = @_;
    eval "(($x)  ~ &PGOFSET)";
}
}
unless(defined(&i386_btop)) {
sub i386_btop {
    local($x) = @_;
    eval "(($x) >>  &PGSHIFT)";
}
}
unless(defined(&i386_ptob)) {
sub i386_ptob {
    local($x) = @_;
    eval "(($x) <<  &PGSHIFT)";
}
}
1;
